Summary:	Tool for dumping a computer's DMI table contents
Name:		dmidecode
Version:	3.5
Release:	%mkrel 2

License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.nongnu.org/dmidecode/
Source0:	https://download.savannah.gnu.org/releases/dmidecode/%{name}-%{version}.tar.xz

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS) table
contents in a human-readable format. This table contains a description of the
system's hardware components, as well as other useful pieces of information
such as serial numbers and BIOS revision. Part of its code can be found in
the Linux kernel, because DMI data may be used to enable or disable specific
portions of code depending on the hardware vendor. Thus, dmidecode is mainly
used to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"

%install
%make_install prefix=%{_prefix} mandir=%{_mandir}
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Tue May 09 2023 tex - 3.5-2pclos2023
- rebuild against updates

* Sun May 07 2023 tex - 3.5-1pclos2023
- new version: 3.5, fixes CVE-2023-30630 (mga#31883)
